/**
 * DevExtreme (integration/jquery/events.js)
 * Version: 17.2.0 (build 17273)
 * Build date: Sat Sep 30 2017
 *
 * Copyright (c) 2012 - 2017 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
var $ = require("jquery");
var eventsEngine = require("../../events/core/events_engine");
var useJQueryRenderer = require("../../core/config")().useJQueryRenderer;
var registerEventCallbacks = require("../../events/core/event_registrator_callbacks");
if (useJQueryRenderer) {
    registerEventCallbacks.add(function(name, eventObject) {
        $.event.special[name] = eventObject
    });
    eventsEngine.set({
        on: function(element) {
            $(element).on.apply($(element), Array.prototype.slice.call(arguments, 1))
        },
        one: function(element) {
            $(element).one.apply($(element), Array.prototype.slice.call(arguments, 1))
        },
        off: function(element) {
            $(element).off.apply($(element), Array.prototype.slice.call(arguments, 1))
        },
        trigger: function(element) {
            $(element).trigger.apply($(element), Array.prototype.slice.call(arguments, 1))
        },
        triggerHandler: function(element) {
            $(element).triggerHandler.apply($(element), Array.prototype.slice.call(arguments, 1))
        },
        Event: $.Event
    })
}
